Subject: Re: bug#13200: 24.1.50; Ruby Mode Indentation after Here Docs

From: Dmitry Gutov <[email-masked]>
Date: Mon, 24 Dec 2012 06:12:01 +0400

On 24.12.2012 4:49, Stefan Monnier wrote:
>>>>> package.el should be able to ignore your "out of date" elpa version if
>>>>> the bundled version is more recent, so it should work even if you don't
>>>>> uninstall the elpa version.
>>>> By ignore, do you mean it won't show up in the list of packages
>>>> available to install?
>>> No, I mean it should not be added to load-path during startup.
>> That may add to the confusion in this case. "I installed ruby-mode 1.1, but
>> it didn't do anything!", or something.
>
> No, because package.el wouldn't let you install 1.1 when you have 1.2
> bundled (at least, not without warning you).
>
> So this would only cause the downloaded package to be suddenly
> superseded by the bundled package when you upgrade Emacs, which is The
> Right Thing To Do.

I see. That's good, then.

>>>> Do you think we should bump it to 1.2?
>>> Depends.  Is it a fork?
>> I meant, bump the version of the bundled ruby-mode.
>
> I understand this.  But the question still stands: is the bundled
> version really a more up-to-date version, or do we have a fork and there
> are good reasons why someone would want to use the ELPA version over the
> built-in one?
>
>> The "ruby-mode 1.1" doesn't contain any substantial changes, AFAICT, so
>> there's nothing to merge. But it is present in both Marmalade and the
>> original ELPA.
>
> Sounds like it's not a fork.  So we should bump our version accordingly.

May I do the bump in emacs24?

>> I opened an issue at the repo of the Marmalade uploader
>> (https://github.com/resure/ruby-mode/issues/1), and if that doesn't result
>> in anything, I'll escalate to the current Marmalade maintainer.
>
> I'm not sure that there's a problem on their side.  They also cater to
> older Emacsen.

You may be right.